import request from '@/utils/request'
const baseUrl = '/api/upcloud-base-wh-dev-mysql-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisWhSubArea/save-subArea',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisWhSubArea/update-subArea',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisWhSubArea/del-subArea',
    method: 'get',
    //   data: params,
    params: params,
  })
}

// /eisWhSubArea/getAll-subArea-subAreaBp
// 关系维护-查询子区域 GET

export function subAreasubAreaBp(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisWhSubArea/getAll-subArea-subAreaBp',
    method: 'get',
    //   data: params,
    params: params,
  })
}

//   /eisWhSubArea/maintain-subArea-subAreaBp

export function subAreaBp(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisWhSubArea/maintain-subArea-subAreaBp',
    method: 'post',
    data: params,
    // params: params
  })
}
